package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-07-04
 */
@ApiModel("消息跳转参数")
public class JumpUrlDto {

    @ApiModelProperty("跳转到原生还是h5页面 'h5' | 'app'")
    private String action ="";

    @ApiModelProperty("h5跳转连接")
    private String url ="";

    @ApiModelProperty("跳转到哪个页面")
    private String pageTag ="";


    @ApiModelProperty("其它参数")
    private String params ="";

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getPageTag() {
        return pageTag;
    }

    public void setPageTag(String pageTag) {
        this.pageTag = pageTag;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }
}
